/**
 * @file jpeg.h
 * JPEG compression
 * @author Marko Mkel (msmakela@nic.funet.fi)
 */

#include "jpeglib.h"

/** Compress the image.
 * @param src		uncompressed image, in RGB colour space,
 *			width * depth * 3 bytes
 * @param width		image width
 * @param height	image height
 * @param quality	JPEG compression quality (1..100, libjpeg default=75)
 * @param comment	image comment (optional)
 * @param length	length of image comment, in bytes
 * @param output	output stream
 * @return		zero on success, nonzero on failure
 */
int
jpeg_output (const char* src,
	     unsigned width, unsigned height,
	     int quality,
	     const void* comment, int length,
	     struct jpeg_compress_struct* cinfo);
