/**
 * @file lenscorr.c
 * Adjust for lens distortion
 * @author Marko Mkel (msmakela@nic.funet.fi)
 */

/* Copyright  2004 Marko Mkel
 * 
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 * 
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 * 
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/** Adjust for lens distortion and scale the image.
 * @param src		buffer for the source image
 *			(IMAGE_WIDTH * IMAGE_HEIGHT * IMAGE_DEPTH)
 * @param dst		buffer for the destination image
 *			(width * height * IMAGE_DEPTH)
 * @param width		destination image width
 * @param height	destination image height
 */
void
lens_correct (const char* src, char* dst,
	      unsigned width, unsigned height);
